Bug 1290959 - macbook pro sd card reader driver seems to be missing.
macbook pro sd card reader driver seems to be missing.
Status: CLOSED DUPLICATE of bug 1315063
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 00:25 EST by Gregory David Martinez
Modified: 2016-08-23 04:44 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:59:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory David Martinez 2015-12-12 00:25:07 EST
Description of problem:
sd card reader is not detect at all.  There is no output from dmesg when a card is inserted.  There is no mention of any kind of sd card reader in lspci.  There is no mention of a sd card reader in 'df' nor 'fdisk -l'.  In short, it is as if linux does not have the drivers for a MacBook Pro retina (2015) sd card reader -- inserting a sd card does nothing detectable anywhere.  Although, it works when booted in other operating system.

Version-Release number of selected component (if applicable):
kernel 4.2.6-201

How reproducible:very


Steps to Reproduce:
1.plug-in sd card
2.
3.

Actual results:
nothing happens

Expected results:
anything happens

Additional info:
laptop model:  MacBook Pro Retina (2015)
Comment 1 Gregory David Martinez 2015-12-12 01:36:11 EST
Well, the device should be 05ac:8406 which is not present in either lsusb nor lspci.  Correct me if I'm wrong, but, at least the 4.2.6 kernel, it seems to me that linux does not support apple's sd card reader.
Comment 2 Luca Ciavatta 2016-01-04 11:10:31 EST
Same issue here with kernel 4.2.6-201 and MacBook Pro 8,2.
Comment 3 Fedora End Of Life 2016-07-19 15:59:49 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Gianluca Sforna 2016-08-23 04:44:28 EDT
I was going to reopen this, but found bug #1315063 instead...

*** This bug has been marked as a duplicate of bug 1315063 ***

Note You need to log in before you can comment on or make changes to this bug.